dataset:
  name: fb15k
  num_entities: 14951
  num_relations: 1345
entity_ranking:
  metrics_per:
    relation_type: true
eval:
  batch_size: 256
import:
- reciprocal_relations_model
- rescal
job:
  device: cuda:3
lookup_embedder:
  dim: 256
  initialize_args:
    normal_:
      mean: 0.0
      std: 7.938452614976156e-05
    uniform_:
      a: -0.9429330404456147
    xavier_normal_:
      gain: 1.0
    xavier_uniform_:
      gain: 1.0
  regularize_args:
    weighted: true
model: rescal
negative_sampling:
  implementation: batch
reciprocal_relations_model:
  base_model:
    type: rescal
rescal:
  entity_embedder:
    dropout: 0.2974709952250123
    regularize_weight: 2.3223879460073926e-06
  relation_embedder:
    dim: 65536
    dropout: 0.21096340008080006
    regularize_weight: 0.0024219821096383987
train:
  auto_correct: true
  batch_size: 512
  loss_arg: .nan
  lr_scheduler: ReduceLROnPlateau
  lr_scheduler_args:
    factor: 0.95
    mode: max
    patience: 7
    threshold: 0.0001
  max_epochs: 400
  optimizer_args:
    lr: 0.07879169076121043
  subbatch_auto_tune: true
  type: 1vsAll
valid:
  early_stopping:
    min_threshold:
      epochs: 50
      metric_value: 0.05
    patience: 10

